POST/shorts.v1alpha1.ScreenerService/ScreenStocks

ScreenStocks

Screen stocks using compound filters across shorts, price, fundamentals, director trades, and news

Parameters

Connect-Protocol-VersionheaderRequired
number [1]

Define the version of the Connect protocol

Connect-Timeout-Msheader
number

Define the timeout, in ms

Request Body

application/json
object

Request for ScreenStocks RPC

filtersobject

(proto shorts.v1alpha1.ScreenerFilters)

hasDirectorBuysboolean

Only stocks with recent director buys (proto bool)

limitinteger <int32>

Max results (default 50) (proto int32)

offsetinteger <int32>

Pagination offset (proto int32)

sortDirectionstring [SORT_DIRECTION_DESC, SORT_DIRECTION_ASC]

(proto shorts.v1alpha1.SortDirection)

sortFieldstring [SCREENER_SORT_FIELD_SHORT_PCT, SCREENER_SORT_FIELD_SHORT_PCT_CHANGE, SCREENER_SORT_FIELD_MARKET_CAP, SCREENER_SORT_FIELD_PRICE_CHANGE_1M, SCREENER_SORT_FIELD_PE_RATIO, SCREENER_SORT_FIELD_DIVIDEND_YIELD, SCREENER_SORT_FIELD_NET_DIRECTOR_BUY, SCREENER_SORT_FIELD_NEWS_SENTIMENT, SCREENER_SORT_FIELD_DAYS_TO_COVER]

(proto shorts.v1alpha1.ScreenerSortField)

Responses

200Success
application/json
object

Response for ScreenStocks RPC

stocksarray

(proto shorts.v1alpha1.ScreenerStock)

Array Items:
totalCountinteger <int32>

(proto int32)

defaultError
application/json
object

Error type returned by Connect: https://connectrpc.com/docs/go/errors/#http-representation

codestring [canceled, unknown, invalid_argument, deadline_exceeded, not_found, already_exists, permission_denied, resource_exhausted, failed_precondition, aborted, out_of_range, unimplemented, internal, unavailable, data_loss, unauthenticated]

The status code, which should be an enum value of [google.rpc.Code][google.rpc.Code].

detailsarray

A list of messages that carry the error details. There is no limit on the number of messages.

Array Items:
messagestring

A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the [google.rpc.Status.details][google.rpc.Status.details] field, or localized by the client.

curl -X POST "https://api.shorted.com.au/shorts.v1alpha1.ScreenerService/ScreenStocks" \
  -H "Content-Type: application/json" \
  -d '{
  "filters": {
    "avgSentiment": {
      "hasMax": true,
      "hasMin": true,
      "max": 0,
      "min": 0
    },
    "daysToCover": {
      "hasMax": true,
      "hasMin": true,
      "max": 0,
      "min": 0
    },
    "dividendYield": {
      "hasMax": true,
      "hasMin": true,
      "max": 0,
      "min": 0
    },
    "hasDirectorBuys": true,
    "industries": [
      "string"
    ],
    "marketCap": {
      "hasMax": true,
      "hasMin": true,
      "max": 0,
      "min": 0
    },
    "netDirectorBuy": {
      "hasMax": true,
      "hasMin": true,
      "max": 0,
      "min": 0
    },
    "peRatio": {
      "hasMax": true,
      "hasMin": true,
      "max": 0,
      "min": 0
    },
    "priceChange1m": {
      "hasMax": true,
      "hasMin": true,
      "max": 0,
      "min": 0
    },
    "productCodes": [
      "string"
    ],
    "shortPct": {
      "hasMax": true,
      "hasMin": true,
      "max": 0,
      "min": 0
    },
    "shortPctChange": {
      "hasMax": true,
      "hasMin": true,
      "max": 0,
      "min": 0
    }
  },
  "limit": 0,
  "offset": 0,
  "sortDirection": "string",
  "sortField": "string"
}'